import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { InboundSchema } from './models/inbound.model';
import { InboundService } from './inbound.service';
import { InboundController } from './inbound.controller';
import { AirportModule } from 'src/airport/airport.module';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: 'inbound', schema: InboundSchema }]),
    AirportModule,
  ],
  providers: [InboundService],
  controllers: [InboundController],
  exports: [MongooseModule, InboundService],
})
export class InboundModule {}
