import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Waypoint, WaypointSchema } from 'src/generic/models/waypoint.model';

export type ControllerInputDocument = ControllerInput & Document;

@Schema()
export class ControllerInput {
  @Prop({
    type: String,
  })
  reportedTime: string;

  @Prop({
    required: true,
    type: [WaypointSchema],
  })
  remainingRoute: Waypoint[];

  @Prop({
    type: String,
  })
  requestedRunway: string;

  @Prop({
    type: String,
  })
  plannedStand: string;
}

export const ControllerInputSchema =
  SchemaFactory.createForClass(ControllerInput);
